# Generated from yard-commonmarker-0.5.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name yard-commonmarker

Name: rubygem-%{gem_name}
Version: 0.5.0
Release: 1%{?dist}
Summary: CommonMarker support for YARD
License: MIT
URL: https://alsemyonov.gitlab.com/yard-commonmarker/
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(development-toolbox) >= 0.7
# BuildRequires: rubygem(development-toolbox) < 1
BuildArch: noarch

%description
CommonMark and Markdown markup provider for YARD.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/.editorconfig
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/.gitlab-ci.yml
%exclude %{gem_instdir}/.rubocop.yml
%exclude %{gem_instdir}/.rubocop_todo.yml
%exclude %{gem_instdir}/.travis.yml
%exclude %{gem_instdir}/.yardopts
%{gem_instdir}/CODE_OF_CONDUCT.md
%{gem_instdir}/Dockerfile
%license %{gem_instdir}/LICENSE
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%doc %{gem_instdir}/docker-compose.yml
%{gem_instdir}/yard-commonmarker.gemspec

%changelog
* Thu Sep 16 2021 mockbuilder - 0.5.0-1
- Initial package
